Skip to content

Similar Profiles

Find profiles similar to a given person based on title, industry, and seniority.

GET /api/v1/person/similar

Returns profiles similar to a given person based on title, industry, location, and seniority.

Query parameters

Parameter Type Required Description
id string Yes Kooperativa internal profile ID
page integer No Page number (default: 1)
per_page integer No Results per page (default: 10, max: 50)

Code examples

cURLbash
curl "https://kooperativa.io/api/v1/person/similar?id=f9413465-c1b9-4129-ab9f-2234caf971b1" \
  -H "Authorization: Bearer ik_live_..."
JavaScriptjs
const res = await fetch(
  "https://kooperativa.io/api/v1/person/similar?id=f9413465-c1b9-4129-ab9f-2234caf971b1",
  { headers: { Authorization: `Bearer ${process.env.KOOPERATIVA_API_KEY}` } }
);
const { results, total } = await res.json();

Response

{
  "results": [
    {
      "id": "b9847f21-...",
      "full_name": "Sundar Pichai",
      "current_title": "CEO",
      "current_company": "Google",
      "seniority": "c-level"
    }
  ],
  "total": 1931,
  "page": 1,
  "per_page": 10
}
Navigation

Type to search…

↑↓ navigate↵ selectEsc close